Bug 1941366 - NO sound on subwoofer after update from f32 to f34
Summary: NO sound on subwoofer after update from f32 to f34
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-21 21:23 UTC by Wolfgang Ulbrich
Modified: 2022-05-12 17:21 UTC (History)
4 users (show)

Fixed In Version: pipewire-0.3.26-4.fc34 pipewire-0.3.27-1.fc34 pipewire-0.3.31-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-30 03:16:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2021-03-21 21:23:42 UTC
Description of problem:

I am using a Asus Xonar D2X card with an 2.1 chanel setup and i am very happy that it works with pulseaudio out of box.
Now, after upgrade to f34 i lost the audio signal for my sub-woofer. :/
Reinstalling pulseaudio fixes the problem.

But i am totally missing an instruction to config pipewire to use my multichanel 7.1 card.
There are not much working soundcard with excellent sound quality for linux.
I am happy to provide more infos to get this card working.
Please help...

Comment 1 Fedora Update System 2021-04-29 07:56:54 UTC
FEDORA-2021-03756cf274 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-03756cf274

Comment 2 Wolfgang Ulbrich 2021-04-29 08:27:21 UTC
Before i install pipewire again?
Does this update fixes my issue?

Comment 3 Wim Taymans 2021-04-29 13:47:34 UTC
> Before i install pipewire again?
> Does this update fixes my issue?

I added a patch to generate a subwoofer signal on LFE channels if you configure this. I don't know if it will
fix your issue, I don't have the hardware to reproduce.

There is some info on how to do that here: https://gitlab.freedesktop.org/pipewire/pipewire/-/wikis/Config-client

> But i am totally missing an instruction to config pipewire to use my multichanel 7.1 card.

in pavucontrol select 7.1 in the configuration tab for your card

Comment 4 Fedora Update System 2021-04-29 17:10:54 UTC
FEDORA-2021-03756cf274 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-03756cf274`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-03756cf274

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Wolfgang Ulbrich 2021-04-29 18:20:46 UTC
Ok, i could solve the problem. There is an issue with default configuration of pipewire.

stream.properties = {
    #node.latency = 1024/48000
    #node.autoconnect = true
    #resample.quality = 4
    #channelmix.normalize = false
    #channelmix.mix-lfe = false
    #channelmix.upmix = false
    #channelmix.lfe-cutoff = 0
}

After i set it to 

stream.properties = {
    #node.latency = 1024/48000
    #node.autoconnect = true
    #resample.quality = 4
    #channelmix.normalize = false
    #channelmix.mix-lfe = false
    channelmix.upmix = true
    channelmix.lfe-cutoff = 140
}

.... i got an audio signal to lfe speaker.
`#channelmix.lfe-cutoff = 0` is defenetly the culprit.
Please do not power off the speaker with low-cut at 0db :)


For the record the update doesn't solve this problem and 5.1 channel config was already set in pawucontrol.
Normal i maintain/use MATE desktop, but i tested it in gnome to be sure.
Here the audio-test-signal in gnome-tweaks works for the sub-woofer out of box.
But `#channelmix.lfe-cutoff = 0` cut off every subwoofer signal from an application, eg. vlc of deadbeaf.

I hope this information gives you enough info to fix this problem.
And suggest not to close the report by the update because i am pretty sure that other people without poor 2.0 channel audio notebook hardware will run into the same problem.

Comment 6 Fedora Update System 2021-05-02 02:03:09 UTC
FEDORA-2021-03756cf274 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Wolfgang Ulbrich 2021-05-02 09:27:24 UTC
Sorry, this update doesn't fix the issue.
There is an problem with default config values. See my previous comment.

Comment 8 Wim Taymans 2021-05-03 07:36:19 UTC
> There is an problem with default config values. See my previous comment.

To enable generating an lfe channel, you need to do:

 1) channelmix.upmix = true

This enables synthesis of extra channels (LFE, REAR, SIDE)
 
 2) channelmix.lfe-cutoff = 140

To filter the LFE channel and only send low frequency, you can set this to
0 if your receiver generates LFE from the other channels with a better algorithm

So what exactly is wrong with this default? We don't want upmix by default (channelmix.upmix = false)
and we don't want to filter LFE (channelmix.lfe-cutoff = 0) by default.

Also not that the cutoff is only when generating LFE, when the signal already has LFE, it is
not removed with the cutoff value. Maybe it should be called channelmix.upmix.lfe-cutoff instead.

Comment 9 Wolfgang Ulbrich 2021-05-03 08:31:22 UTC
I have already set up my card, see my previous post.
With default config 

stream.properties = {
    #node.latency = 1024/48000
    #node.autoconnect = true
    #resample.quality = 4
    #channelmix.normalize = false
    #channelmix.mix-lfe = false
    #channelmix.upmix = false
    #channelmix.lfe-cutoff = 0
}


Here `#channelmix.lfe-cutoff = 0` does power off my lfe speaker.
The  0Hz limit cut of the speaker in default coniguration.

I expect that when i select a 5.1 chanel setup in pavucontrol my lfe speaker is working out of box,
and not that a 0Hz limit does power off my speaker.

Comment 10 Wolfgang Ulbrich 2021-05-03 08:36:25 UTC
In clear words.
The ``#channelmix.lfe-cutoff = 0 is active with default config.
And that's the problem.

I hope that is understandable....

Comment 11 Wim Taymans 2021-05-03 10:11:27 UTC
> The ``#channelmix.lfe-cutoff = 0 is active with default config.

I see the bug now. Should be fixed with this: https://gitlab.freedesktop.org/pipewire/pipewire/-/commit/15239ff74d7f79dd153a2f0ed9f1d92b8d825f57

Comment 12 Wolfgang Ulbrich 2021-05-03 11:24:43 UTC
Thanks, i will be happy to test an update.

Comment 13 Fedora Update System 2021-05-06 09:37:12 UTC
FEDORA-2021-41bc11dd99 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-41bc11dd99

Comment 14 Fedora Update System 2021-05-07 01:03:25 UTC
FEDORA-2021-41bc11dd99 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Wolfgang Ulbrich 2021-05-07 12:24:08 UTC
I tested the update but it doesn't solve the non working lfe channel with default config option
`#channelmix.lfe-cutoff = 0`

Same like before, the lfe speaker is silent :/

[root@mother rave]# rpm -qa pipewire
pipewire-0.3.27-1.fc34.x86_64

Comment 16 Fedora Update System 2021-06-28 15:37:43 UTC
FEDORA-2021-5a5f27d6b3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5a5f27d6b3

Comment 17 Fedora Update System 2021-06-29 01:31:20 UTC
FEDORA-2021-5a5f27d6b3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5a5f27d6b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5a5f27d6b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-06-30 03:16:15 UTC
FEDORA-2021-5a5f27d6b3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Wolfgang Ulbrich 2021-07-02 11:59:39 UTC
I tested the pipewire-0.3.31-2.fc34 update but it doesn't solve the non working lfe channel with default config option.
`#channelmix.lfe-cutoff = 0`

Same like before, the lfe speaker is silent :/

[root@mother rave]# rpm -qa pipewire
pipewire-0.3.27-1.fc34.x86_64

Why do you think this update should fix the issue?
I am happy to provide more information.

Comment 20 Wim Taymans 2021-07-02 12:09:32 UTC
> Why do you think this update should fix the issue?

If you did not change any config file, the subwoofer should be silent.
If you configure it to upmix and set an LFE frequency, it should generate an LFE signal.

Are you saying that it used to work without any config changes in pulseaudio and that you want
this to work the same in pipewire?

Comment 21 Wolfgang Ulbrich 2021-07-02 13:55:37 UTC
(In reply to Wim Taymans from comment #20)
> > Why do you think this update should fix the issue?
> 
> If you did not change any config file, the subwoofer should be silent.
> If you configure it to upmix and set an LFE frequency, it should generate an
> LFE signal.
> 
> Are you saying that it used to work without any config changes in pulseaudio
> and that you want
> this to work the same in pipewire?

With pulseaudio i only have to set up 5.1 channel configuration with `pavucontrol` and the subwoofer is working out of box.
There is no need to set LFE frequency from 0 to 120Hz or enable upmix.

So, if you think the lfe misconfiguration isn't a bug than feel free to close this report.
Not a big issue for me.

Well, at the moment i am using zoom for daily work , and it is impossible to switch between Headset and loudspeakers during the zoom meeting, in result i can't use pipewire and i have to use pulseaudio.
Hopefully no one comes with a great idea to drop pulseaudio in favour of pipewire.
Than i have to use another linux distro ;)

PS: Last update doesn't ship any config files in pipewire-libs.

Comment 22 Ben Cotton 2022-05-12 16:56:14 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.